<template>
  <div class="container text-left">
    <h1>Modifier une partie prenante</h1>
    <b-form @submit="onSubmit" @reset="onReset" v-if="show">
        <b-form-group id="input-group-2" label="Nom de la partie :" label-for="input-2">
            <b-form-input id="input-2" v-model="form.name" placeholder="Entrer le nom" required></b-form-input>
        </b-form-group>
        <b-form-group id="input-group-3" label="Slug de la catégorie :" label-for="input-3">
            <b-form-input id="input-3" v-model="form.slug" placeholder="Entrer le slug" required></b-form-input>
        </b-form-group>
      <b-button type="submit" variant="primary">Submit</b-button>
      <b-button type="reset" variant="danger">Reset</b-button>
    </b-form>
    <b-card class="mt-3" header="Form Data Result">
      <pre class="m-0">{{ form }}</pre>
    </b-card>
  </div>
</template>

<script>
  // @ is an alias to /src
  export default {
    name: 'updateCategory',
    data() {
      return {
         form: {
          name: '',
          slug: '',
          id: null,
        },
        show: true,
      }
    },
    mounted(){
      this.axios
          .get('https://rse-back.herokuapp.com/api/parties/' + this.$route.params.id)
          .then(response => (this.form = response.data.data))
          .catch(error => console.log(error));
    },
    methods: {
      onSubmit(event) {
        event.preventDefault()
        this.axios({
                method: 'put',
                url: 'https://rse-back.herokuapp.com/api/parties/'+this.form._id,
                data: this.form
            })
            .then(response => (console.log(response)))
            .catch(error => console.log(error))
        console.log('sent')
      },
      onReset(event) {
        event.preventDefault()
        // Reset our form values
        this.form = {
          name: '',
          slug: '',
          id: null,
        }
        // Trick to reset/clear native browser form validation state
        this.show = false
        this.$nextTick(() => {
          this.show = true
        })
      },
      
    }
  }
</script>
<style scoped>
.gradientPreview {
  height: 50px;
  border-radius: 5px;
  width: 100%;
  transition: .3s;
}
.shuffle{
  cursor: pointer;
  transition: .5s;
}
.shuffle{
  transform: scale(1.1);
}


</style>